# ProjectModel

interface ProjectModel

Represents a model that is associated with some Gradle project.

#### Since

3.0

#### Inheritors

HasGradleProject
Launchable
GradleProject
CppProject
ProjectPublications
BasicGradleProject
GradlePublication
BuildInvocations

## Functions

getProjectIdentifier
Link copied to clipboard
abstract fun getProjectIdentifier(): ProjectIdentifier
Returns the identifier for the project that this model is associated with.